{
    Window_OmoMenuActorSkillList.prototype.drawItem = function (index) {
        // Get Rect
        var rect = this.itemRectForText(index);
        // Get Item
        var item = this._data[index];
        // Determine if enabled
        var enabled = this.isCurrentItemEnabled(index);
        // Set Item Text
        var text = item ? item.name : '------------'
        // Set Font Size
        this.contents.fontSize = 24;
        console.log(item)
        if (item && item.meta.TextColor) {
            this.contents.textColor = item.meta.TextColor;
        } else {
            this.contents.textColor = 'rgba(255, 255, 255, 1)';
        }

        // Draw Text
        this.contents.drawText(text, rect.x, rect.y, rect.width, rect.height);

        //turn back to white
        this.contents.textColor = 'rgba(255, 255, 255, 1)'
    };
    Window_OmoMenuActorSkillEquip.prototype.drawItem = function (index) {
        // Get Rect
        var rect = this.itemRect(index);
        // Get Skill at index
        var skill = this.skillAtIndex(index);
        // Determine if enabled
        var enabled = this.isCurrentItemEnabled(index);

        // If Enabled
        if (enabled) {
            this.changePaintOpacity(true);
            if (item && item.meta.TextColor) {
                this.contents.textColor = item.meta.TextColor;
            } else {
                this.contents.textColor = 'rgba(255, 255, 255, 1)';
            }
        } else {
            this.changePaintOpacity(false);
            if (item && item.meta.DisaledTextColor) {
                this.contents.textColor = item.meta.DisabledTextColor;
            } else {
                this.contents.textColor = 'rgba(140, 140, 140, 1)';
            }
        };

        // Get Text
        var text = skill ? skill.name : '------------'
        this.contents.fontSize = 24;
        // Draw Text
        this.contents.drawText(text, rect.x, rect.y + 5, rect.width, rect.height);
        this.changePaintOpacity(true);

        //turn back to white
        this.contents.textColor = 'rgba(255, 255, 255, 1)'
    };
    let old_Window_BattleSkill_drawItem = Window_BattleSkill.prototype.drawItem;
    Window_BattleSkill.prototype.drawItem = function (index) {
        var item = this._data[index];
        this.contents.fontSize = 24;
        if (item) {
            if (item && item.meta.TextColor) {
                this.contents.textColor = item.meta.TextColor;
            } else {
                this.contents.textColor = 'rgba(255, 255, 255, 1)'
            }
        };
        old_Window_BattleSkill_drawItem.call(this, index)

        //turn back to white
        this.contents.textColor = 'rgba(255, 255, 255, 1)'
    };
}
